Skip to main content
POST
Update task status
Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

taskId
string
required

Body

application/json
ticketId
string
required
Minimum string length: 1
status
enum<string>
required
Available options:
COMPLETED,
CANCELLED

Response

default - application/json
id
string
required
ticketId
string
required
title
string
required
status
enum<string>
required
Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
CANCELLED
priority
enum<string> | null
required
Available options:
LOW,
MEDIUM,
HIGH
dueDate
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
isManuallyCompletable
boolean
required

Whether a human (not only the system) may complete this task

isAdminManaged
boolean
required

Whether only an admin may assign this task or change its status

assignee
object
required
tagIds
string[]
required

Ids of the tags attached to this task